Compatibility different version of Open AT


#1

I’m using Open AT ver. 3.02, and I want to try to download sample Hello World application into the modem, but it doesn’t work. I check the modem, it said “AT v2.0”. Does this cause the error?


#2

Hey man,

Try to send the command “a+wopen=2”, what is the response ???

What are u doing to download the firmware ?? What kind of error did ou receive ???


#3

Ok. I also tried in remote mode. And it make error. This is the error :

Trace HWL 1 Arm exception 1 12c0a84 900 Trace HAC 1 Unable to find the string of the remote trace in the file (ID = 3013) Trace HAC 1 Unable to find the string of the remote trace in the file (ID = 3013) Trace HAC 1 Unable to find the string of the remote trace in the file (ID = 3013) Trace L3RR 1 Unable to find the string of the remote trace in the file (ID = 3449) Trace HWL 1 Arm exception 1 1340a98 900 Trace L3RR 1 Unable to find the string of the remote trace in the file (ID = 4366) Trace L3RR 1 Unable to find the string of the remote trace in the file (ID = 3449) Trace L3RR 1 Unable to find the string of the remote trace in the file (ID = 4142) Trace HWL 1 Arm exception 1 12c0a88 900

For information my modem has this information:

ATI3

641b09gg.Q2406E 1339080 041604 16:04

OK


AT+WOPEN=2

+WOPEN: 2,“AT v02.10”

OK

And I’m using Opent AT v.302, it only has this file on it \V302\Wavecom Core Software\X51\OtherCountries :

351__full_q2400a.dwl
351_w.dwl
651__full_q2406a.dwl
651__full_q2406b.dwl
651__full_q2426b.dwl
651__full_q2501b.dwl
651_w.dwl
gen.backtraces64k.axf

Does this make incompatibility and then create the error?


#4

As far as I know you need to update the firmware.

Try to send the 651__full_qxxxx.dwl to the module.

Open the hyperterminal and send the commands:

at+wopen=0
at+wind=0
at+wopen=4
at+wdwl

-> After receveing $$$$$ send the file …and when it finished send the command at+cfun=1

You can check if it worked sending the command ati3 as you did before


#5

Hi all
Here is a compatibility table


#6

at+wopen=0

OK

at+wind=0

OK

at+wopen=4

ERROR

at+wdwl

$$$$$$$$$$

(when I Download 651__full_qxxxx.dwl, error)

I follow another step:

*** ERROR IN FILE ***

aatt++ccffuunn==11

OK

at

OK

at

OK

at+wopen=0

OK

at+wind=0

OK

at+wopen=4

ERROR

at+cmee=`1

ERROR

at+cmee=1

OK

at+wopen=4

+CME ERROR: 532

at+at

ERROR

at

OK

at+wdwl?

+WDWL: V02.06

OK

at+wdwl

+WDWL: 0

aatt++ccffuunn==11

OK
(I Download dwl.dwl)

at

OK

at+wdwl?

+WDWL: V02.16

at+wopen=2

+WOPEN: 2,“AT v02.10”

OK

at+wopen=0

OK

at+wind=0

OK

at+wdwl

+WDWL: 0

$$$$$$$$$$$$$$$$$(I’m(
(I download w.dwl, after finished I download 652__full_q2406b.dwl without using at+cfun=1, after 11 retry atempt my modem hang)
at+cfun=1
at
at
at+cfun=1
at+cfun=1
at+
at
at
at+cfun=1
at+wdwl?
at

The red led is off.
I unplug the power and plug it again, but no respond.

Help please
What should i do.

:cry: :cry: :cry:

Help please

:cry: :cry: :cry: :cry:


#7

Alfredo,

Try to reinstall the firmware using DWLWin.

You should ask you distributer for the software and firmware files !!!

Gus


#8

My distributor give me the second step (read my post before this one) and three file :

  • dwl.dwl 63.1 KB (64,690 bytes)
  • w.dwl 2.13 KB (2,183 bytes)
  • 652__full_q2406b.dwl 959 KB (982,056 bytes)

Where do I get DWLWin?